<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Light Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_light.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_light-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Light Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class to create and manipulate light sources.  
 <a href="class_light.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_light_8hpp_source.html">Light.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa603d04b2e28195a4819e34ad2604df6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#aa603d04b2e28195a4819e34ad2604df6">Light</a> (<a class="el" href="class_vec.html">Vec</a> _o, <a class="el" href="class_vec.html">Vec</a> _cl, double _decay, <a class="el" href="class_surface.html">Surface</a> *_geode)</td></tr>
<tr class="separator:aa603d04b2e28195a4819e34ad2604df6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ed414882edab464744201553a2ebf4e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#a0ed414882edab464744201553a2ebf4e">Light</a> (<a class="el" href="class_vec.html">Vec</a> _o, <a class="el" href="class_vec.html">Vec</a> _cl, double _decay)</td></tr>
<tr class="separator:a0ed414882edab464744201553a2ebf4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ae0f3ac995d07909a6fe6f2cc9ddb4"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4">setTransform</a> (<a class="el" href="class_transform.html">Transform</a> *_tf)</td></tr>
<tr class="memdesc:af1ae0f3ac995d07909a6fe6f2cc9ddb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Associates a <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node to this light source. The method <a class="el" href="class_light.html#ab8637968f4709709716577ca196f5e74" title="Transforms the light source&#39;s location according to the Transform node passed with setTransform() ...">transform()</a> can then be used to change the <a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a>'s position based on _tf.  <a href="#af1ae0f3ac995d07909a6fe6f2cc9ddb4">More...</a><br /></td></tr>
<tr class="separator:af1ae0f3ac995d07909a6fe6f2cc9ddb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8637968f4709709716577ca196f5e74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#ab8637968f4709709716577ca196f5e74">transform</a> ()</td></tr>
<tr class="memdesc:ab8637968f4709709716577ca196f5e74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforms the light source's location according to the <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node passed with <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4" title="Associates a Transform node to this light source. The method transform() can then be used to change t...">setTransform()</a>  <a href="#ab8637968f4709709716577ca196f5e74">More...</a><br /></td></tr>
<tr class="separator:ab8637968f4709709716577ca196f5e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2b2d9c78fdb73ac943a6a35b221f1cfd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#a2b2d9c78fdb73ac943a6a35b221f1cfd">local_o</a></td></tr>
<tr class="memdesc:a2b2d9c78fdb73ac943a6a35b221f1cfd"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> source's original location, as defined in the Constructor.  <a href="#a2b2d9c78fdb73ac943a6a35b221f1cfd">More...</a><br /></td></tr>
<tr class="separator:a2b2d9c78fdb73ac943a6a35b221f1cfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40e3c201ef2e17b89e937833f2da9111"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#a40e3c201ef2e17b89e937833f2da9111">o</a></td></tr>
<tr class="memdesc:a40e3c201ef2e17b89e937833f2da9111"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> source's transformed location, after applying <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4" title="Associates a Transform node to this light source. The method transform() can then be used to change t...">setTransform()</a>  <a href="#a40e3c201ef2e17b89e937833f2da9111">More...</a><br /></td></tr>
<tr class="separator:a40e3c201ef2e17b89e937833f2da9111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa556ccba60a14514c231438403b55db0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#aa556ccba60a14514c231438403b55db0">cl</a></td></tr>
<tr class="memdesc:aa556ccba60a14514c231438403b55db0"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a>'s intensity vector.  <a href="#aa556ccba60a14514c231438403b55db0">More...</a><br /></td></tr>
<tr class="separator:aa556ccba60a14514c231438403b55db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae028a60a89a219e6eff0ff1b24482a71"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#ae028a60a89a219e6eff0ff1b24482a71">decay</a></td></tr>
<tr class="memdesc:ae028a60a89a219e6eff0ff1b24482a71"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> intensity decay exponent.  <a href="#ae028a60a89a219e6eff0ff1b24482a71">More...</a><br /></td></tr>
<tr class="separator:ae028a60a89a219e6eff0ff1b24482a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37ee0b241dbdaff4a13cc269de33a8bf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#a37ee0b241dbdaff4a13cc269de33a8bf">on</a></td></tr>
<tr class="memdesc:a37ee0b241dbdaff4a13cc269de33a8bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag stating whether the light source is on or off.  <a href="#a37ee0b241dbdaff4a13cc269de33a8bf">More...</a><br /></td></tr>
<tr class="separator:a37ee0b241dbdaff4a13cc269de33a8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb8b1184fc6cf93bbcc205f50bd004c8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_surface.html">Surface</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#aeb8b1184fc6cf93bbcc205f50bd004c8">geode</a></td></tr>
<tr class="memdesc:aeb8b1184fc6cf93bbcc205f50bd004c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to <a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a> associated to this <a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> source.  <a href="#aeb8b1184fc6cf93bbcc205f50bd004c8">More...</a><br /></td></tr>
<tr class="separator:aeb8b1184fc6cf93bbcc205f50bd004c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33549e9047c9103a2fdf43be0825407f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_transform.html">Transform</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_light.html#a33549e9047c9103a2fdf43be0825407f">tf</a></td></tr>
<tr class="memdesc:a33549e9047c9103a2fdf43be0825407f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node set via <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4" title="Associates a Transform node to this light source. The method transform() can then be used to change t...">setTransform()</a>  <a href="#a33549e9047c9103a2fdf43be0825407f">More...</a><br /></td></tr>
<tr class="separator:a33549e9047c9103a2fdf43be0825407f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class to create and manipulate light sources. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa603d04b2e28195a4819e34ad2604df6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa603d04b2e28195a4819e34ad2604df6">&sect;&nbsp;</a></span>Light() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Light::Light </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_cl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>_decay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_surface.html">Surface</a> *&#160;</td>
          <td class="paramname"><em>_geode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>A <a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> constructor. The light source is omnidirectional, exhibits some decay, and it can be associated to a <a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a>, which will not cast shadows onto de the environment.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_o</td><td><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a>'s 3D location </td></tr>
    <tr><td class="paramname">_cl</td><td><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> intensity vector </td></tr>
    <tr><td class="paramname">_decay</td><td><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> intensity decay exponent </td></tr>
    <tr><td class="paramname">_geode</td><td>Pointer to a <a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a> that can be associated to the light source (will not cast shadows onto de environment) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0ed414882edab464744201553a2ebf4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ed414882edab464744201553a2ebf4e">&sect;&nbsp;</a></span>Light() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Light::Light </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>_cl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>_decay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>A <a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> constructor. The light source is omnidirectional, exhibits some decay, and it is automatically associated to a <a class="el" href="class_sphere.html" title="A class to create and manipulate spheres. ">Sphere</a> of radius 0.6.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_o</td><td><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a>'s 3D location </td></tr>
    <tr><td class="paramname">_cl</td><td><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> intensity vector </td></tr>
    <tr><td class="paramname">_decay</td><td><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> intensity decay exponent </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af1ae0f3ac995d07909a6fe6f2cc9ddb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1ae0f3ac995d07909a6fe6f2cc9ddb4">&sect;&nbsp;</a></span>setTransform()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Light::setTransform </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_transform.html">Transform</a> *&#160;</td>
          <td class="paramname"><em>_tf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Associates a <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node to this light source. The method <a class="el" href="class_light.html#ab8637968f4709709716577ca196f5e74" title="Transforms the light source&#39;s location according to the Transform node passed with setTransform() ...">transform()</a> can then be used to change the <a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a>'s position based on _tf. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_tf</td><td>Pointer to the <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab8637968f4709709716577ca196f5e74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8637968f4709709716577ca196f5e74">&sect;&nbsp;</a></span>transform()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Light::transform </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Transforms the light source's location according to the <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node passed with <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4" title="Associates a Transform node to this light source. The method transform() can then be used to change t...">setTransform()</a> </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa556ccba60a14514c231438403b55db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa556ccba60a14514c231438403b55db0">&sect;&nbsp;</a></span>cl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Light::cl</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a>'s intensity vector. </p>

</div>
</div>
<a id="ae028a60a89a219e6eff0ff1b24482a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae028a60a89a219e6eff0ff1b24482a71">&sect;&nbsp;</a></span>decay</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Light::decay</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> intensity decay exponent. </p>

</div>
</div>
<a id="aeb8b1184fc6cf93bbcc205f50bd004c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb8b1184fc6cf93bbcc205f50bd004c8">&sect;&nbsp;</a></span>geode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_surface.html">Surface</a>* Light::geode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to <a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a> associated to this <a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> source. </p>

</div>
</div>
<a id="a2b2d9c78fdb73ac943a6a35b221f1cfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b2d9c78fdb73ac943a6a35b221f1cfd">&sect;&nbsp;</a></span>local_o</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Light::local_o</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> source's original location, as defined in the Constructor. </p>

</div>
</div>
<a id="a40e3c201ef2e17b89e937833f2da9111"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40e3c201ef2e17b89e937833f2da9111">&sect;&nbsp;</a></span>o</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Light::o</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_light.html" title="A class to create and manipulate light sources. ">Light</a> source's transformed location, after applying <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4" title="Associates a Transform node to this light source. The method transform() can then be used to change t...">setTransform()</a> </p>

</div>
</div>
<a id="a37ee0b241dbdaff4a13cc269de33a8bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37ee0b241dbdaff4a13cc269de33a8bf">&sect;&nbsp;</a></span>on</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Light::on</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag stating whether the light source is on or off. </p>

</div>
</div>
<a id="a33549e9047c9103a2fdf43be0825407f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33549e9047c9103a2fdf43be0825407f">&sect;&nbsp;</a></span>tf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_transform.html">Transform</a>* Light::tf</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to <a class="el" href="class_transform.html" title="A class to handle rigid transformations. ">Transform</a> node set via <a class="el" href="class_light.html#af1ae0f3ac995d07909a6fe6f2cc9ddb4" title="Associates a Transform node to this light source. The method transform() can then be used to change t...">setTransform()</a> </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_light_8hpp_source.html">Light.hpp</a></li>
<li>src/<a class="el" href="_light_8cpp.html">Light.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_light.html">Light</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
